# MorphoBlueSupply

### Description

Supply a token to Morpho Blue market for interest

### Action ID

`0x9200fb32`

### SDK Action

```ts
const morphoBlueSupplyAction = new dfs.actions.morpho-blue.MorphoBlueSupplyAction(
    loanToken,
    collateralToken,
    oracle,
    irm,
    lltv,
    supplyAmount,
    from,
    onBehalf
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param marketParams Market params of specified Morpho Blue market
    /// @param supplyAmount The amount of assets to supply.
    /// @param from The Address from which to pull tokens to be supplied for interest
    /// @param onBehalf The address that will own the shares
    struct Params {
        MarketParams marketParams;
        uint256 supplyAmount;
        address from;
        address onBehalf;
    }
```

### Return Value

```solidity
return bytes32(amount);
```

### Events and Logs

```solidity
emit ActionEvent("MorphoBlueSupply", logData);
logger.logActionDirectEvent("MorphoBlueSupply", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/morphoblue/morphobluesupply.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
